<?php

namespace App\Generated\V1_1\Messages\City;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class SearchMessage extends Message
{
    use ValueHelper;

    protected $keyword;
    protected $result;

    /**
     * 关键词
     * @return string
     */
    public function getKeyword()
    {
        return $this->keyword;
    }

    public function requestRules()
    {
        return [
            ['keyword', 'keyword', 'bail|string', Constants::STRING, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
